#include <stdio.h>
#include <string.h>

//////////////////////
// test-app/Subs.C
//////////////////////
//
// OpDesk (Version 0.70)
// This file is part of the OpDesk node graph FLTK widget.
// Copyright (C) 2009 by Greg Ercolano.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//

// Skip over leading white space; return pointer to first non-white char
char *skipwhite(char *s) {
    while ( *s == ' ' || *s == 9 ) { ++s; }
    return(s);
}

// Truncate string 's' at any matching character in 'tchars'
void truncate(char *s, const char *tchars) {
    while (*s) {
        if ( strchr(tchars, *s) ) {	// char in set?
	    *s = 0;			// truncate
	    break;
	}
	++s;
    }
}

// Convert integer to an ascii string
//     Opposite of atoi(3)
//
const char *itoa(int i) {
    static char s[80];
    sprintf(s, "%d", i);
    return(s);
}
